'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class ProductQuestion extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  ProductQuestion.init({
    productId: DataTypes.INTEGER,
    userId: DataTypes.INTEGER,
    question: DataTypes.TEXT,
    answer: DataTypes.TEXT,
    answeredBy: DataTypes.INTEGER,
    isPublic: DataTypes.BOOLEAN,
    votes: DataTypes.INTEGER
  }, {
    sequelize,
    modelName: 'ProductQuestion',
  });
  return ProductQuestion;
};